count: 1303
next: https://normandy.cdn.mozilla.net/api/v3/recipe/?format=yaml&page=4
previous: https://normandy.cdn.mozilla.net/api/v3/recipe/?format=yaml&page=2
results:
- approved_revision: null
  id: 432
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: approved
      created: '2018-03-15T18:57:57.982667Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 711
      revision:
        id: 88
        recipe_id: 432
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please help us make Firefox better by filling out this single question
        survey
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Moderate-Time-Diary-Study
      repeatOption: once
      surveyId: hb-time-diary-v1
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-03-15T18:57:50.560739Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(338, 5, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_expression: "(\n    [normandy.userId]|bucketSample(338, 5, 1000)\n    &&\
      \ normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 88
    identicon_seed: v1:x6ybi4grlvk
    metadata: {}
    name: Moderate Time Diary
    recipe:
      approved_revision_id: null
      id: 432
      latest_revision_id: 88
    updated: '2018-03-15T18:57:50.565895Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 426
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM, thanks Matt!
      created: '2018-03-08T23:21:33.805913Z'
      creator:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      id: 704
      revision:
        id: 110
        recipe_id: 426
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/icq-study-v1%40shield.mozilla.org-1.0.0-signed.xpi
      description: A study to determine the internet connection quality (speed, latency,
        variability) around the world.
      extensionApiId: 33
      isEnrollmentPaused: true
      name: addon-icq-release-1439687
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2018-03-08T21:07:49.463353Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.version\
      \ >= '58.0' &&\n  [normandy.userId, normandy.recipe.id]|stableSample(0.005)\
      \ &&\n  normandy.country in ['US', 'DE', 'IN'] &&\n  normandy.telemetry.main.environment.system.os.name\
      \ == 'Windows_NT'\n)"
    filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.version\
      \ >= '58.0' &&\n  [normandy.userId, normandy.recipe.id]|stableSample(0.005)\
      \ &&\n  normandy.country in ['US', 'DE', 'IN'] &&\n  normandy.telemetry.main.environment.system.os.name\
      \ == 'Windows_NT'\n)"
    filter_object: []
    id: 110
    identicon_seed: v1:di4bnesy6yt
    metadata: {}
    name: 'Add-on Study: Internet Connection Quality Pilot Study (Bug 1439687)'
    recipe:
      approved_revision_id: null
      id: 426
      latest_revision_id: 110
    updated: '2018-03-08T21:07:49.475745Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 425
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: sample bump from 0.01 to 0.1 approved
      created: '2018-03-07T20:40:45.274182Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 698
      revision:
        id: 116
        recipe_id: 425
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Would you like to share feedback about Firefox?
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Import-Survey
      repeatOption: once
      surveyId: hb-switch-chrome-import
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-03-07T20:40:37.189165Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.1)\n\
      \   && normandy.locale == 'en-US'\n   && normandy.channel == 'release'\n   &&\
      \ !normandy.isFirstRun\n    && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17563\n)"
    filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.1)\n\
      \   && normandy.locale == 'en-US'\n   && normandy.channel == 'release'\n   &&\
      \ !normandy.isFirstRun\n    && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17563\n)"
    filter_object: []
    id: 116
    identicon_seed: v1:54881otp49x
    metadata: {}
    name: Import from Chrome
    recipe:
      approved_revision_id: null
      id: 425
      latest_revision_id: 116
    updated: '2018-03-07T20:40:37.193252Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 427
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-03-02T22:29:05.189444Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 694
      revision:
        id: 107
        recipe_id: 427
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Would you like to share feedback about Firefox?
      postAnswerUrl: https://qsurvey.mozilla.com/s3/New-Profiles-and-Refresh
      repeatOption: once
      surveyId: hb-profile-refresh
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-03-02T22:28:56.891124Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.01)\n\
      \   && normandy.locale == 'en-US'\n   && normandy.channel == 'release'\n   &&\
      \ !normandy.isFirstRun\n    && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17563\n)"
    filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.01)\n\
      \   && normandy.locale == 'en-US'\n   && normandy.channel == 'release'\n   &&\
      \ !normandy.isFirstRun\n    && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17563\n)"
    filter_object: []
    id: 107
    identicon_seed: v1:ngx86w3jyt
    metadata: {}
    name: New Profile Investigation
    recipe:
      approved_revision_id: null
      id: 427
      latest_revision_id: 107
    updated: '2018-03-02T22:28:56.895721Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 424
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Ready to roll
      created: '2018-02-27T03:04:30.916112Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 687
      revision:
        id: 117
        recipe_id: 424
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Advocacy/heartbeat
      message: Please take this short survey about your experience with Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/SPOCS-Release?b=v4
      repeatOption: once
      surveyId: hb-activity-stream-59-release-pocket-sponsored-stories-bug-1435822-v4
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-27T03:02:20.543252Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v4\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v4\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_object: []
    id: 117
    identicon_seed: v1:f7lga5scpr4
    metadata: {}
    name: 'Heartbeat: Activity Stream 59 Release Pocket Sponsored Stories (Bug 1435822)
      - Variant4'
    recipe:
      approved_revision_id: null
      id: 424
      latest_revision_id: 117
    updated: '2018-02-27T03:02:20.548446Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 423
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Looks solid
      created: '2018-02-27T03:04:28.524743Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 686
      revision:
        id: 118
        recipe_id: 423
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Advocacy/heartbeat
      message: Please take this short survey about your experience with Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/SPOCS-Release?b=v3
      repeatOption: once
      surveyId: hb-activity-stream-59-release-pocket-sponsored-stories-bug-1435822-v3
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-27T03:02:18.814602Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v3\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v3\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_object: []
    id: 118
    identicon_seed: v1:ukis4ark2pn
    metadata: {}
    name: 'Heartbeat: Activity Stream 59 Release Pocket Sponsored Stories (Bug 1435822)
      - Variant3'
    recipe:
      approved_revision_id: null
      id: 423
      latest_revision_id: 118
    updated: '2018-02-27T03:02:18.819868Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 422
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Looks good
      created: '2018-02-27T03:04:25.299431Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 685
      revision:
        id: 119
        recipe_id: 422
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Advocacy/heartbeat
      message: Please take this short survey about your experience with Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/SPOCS-Release?b=v2
      repeatOption: once
      surveyId: hb-activity-stream-59-release-pocket-sponsored-stories-bug-1435822-v2
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-27T03:02:11.996047Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v2\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v2\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_object: []
    id: 119
    identicon_seed: v1:6h8apv1t2fq
    metadata: {}
    name: 'Heartbeat: Activity Stream 59 Release Pocket Sponsored Stories (Bug 1435822)
      - Variant2'
    recipe:
      approved_revision_id: null
      id: 422
      latest_revision_id: 119
    updated: '2018-02-27T03:02:12.001386Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 421
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Approved!
      created: '2018-02-27T03:04:22.357777Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 684
      revision:
        id: 120
        recipe_id: 421
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Advocacy/heartbeat
      message: Please take this short survey about your experience with Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/SPOCS-Release?b=v1
      repeatOption: once
      surveyId: hb-activity-stream-59-release-pocket-sponsored-stories-bug-1435822-v1
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-27T03:02:07.132167Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v1\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v1\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_object: []
    id: 120
    identicon_seed: v1:6bqnx3iyyca
    metadata: {}
    name: 'Heartbeat: Activity Stream 59 Release Pocket Sponsored Stories (Bug 1435822)
      - Variant1'
    recipe:
      approved_revision_id: null
      id: 421
      latest_revision_id: 120
    updated: '2018-02-27T03:02:07.137348Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 420
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Looks good!
      created: '2018-02-27T03:04:08.749152Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 683
      revision:
        id: 122
        recipe_id: 420
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Advocacy/heartbeat
      message: Please take this short survey about your experience with Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/SPOCS-Release?b=c
      repeatOption: once
      surveyId: hb-activity-stream-59-release-pocket-sponsored-stories-bug-1435822-c
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-27T03:01:58.138747Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_control\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":false,\"personalized\":true}'\n)"
    filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_control\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":false,\"personalized\":true}'\n)"
    filter_object: []
    id: 122
    identicon_seed: v1:jw2x493ob
    metadata: {}
    name: 'Heartbeat: Activity Stream 59 Release Pocket Sponsored Stories (Bug 1435822)
      - Control'
    recipe:
      approved_revision_id: null
      id: 420
      latest_revision_id: 122
    updated: '2018-02-27T03:01:58.143682Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 419
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM, thanks
      created: '2018-02-27T00:16:58.718353Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 682
      revision:
        id: 123
        recipe_id: 419
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Advocacy/heartbeat
      message: Please take this short survey about your experience with Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/SPOCS-Release
      repeatOption: once
      surveyId: hb-activity-stream-59-release-pocket-sponsored-stories-bug-1435822
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-26T23:34:39.120619Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\n\
      )"
    filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\n\
      )"
    filter_object: []
    id: 123
    identicon_seed: v1:t30johe8kv9
    metadata: {}
    name: 'Heartbeat: Activity Stream 59 Release Pocket Sponsored Stories (Bug 1435822)'
    recipe:
      approved_revision_id: null
      id: 419
      latest_revision_id: 123
    updated: '2018-02-26T23:34:39.125918Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 418
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          addonUrl:
            description: URL of the add-on XPI file
            format: uri
            minLength: 1
            type: string
          description:
            description: User-facing description of the study
            minLength: 1
            type: string
          extensionApiId:
            description: The record ID of the extension used for Normandy API calls.
            type: integer
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          name:
            description: User-facing name of the study
            minLength: 1
            type: string
        required:
        - name
        - description
        - addonUrl
        - extensionApiId
        title: Enroll a user in an opt-out SHIELD study
        type: object
      id: 4
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/opt-out-study/implementation/sha384-QKoPs61T67mshtL1-RGVzzj7xgQbzCCit0fDUfnxE7UPiAKpHpFe5R7P-9Zr6jRZ/
      name: opt-out-study
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Small population of beta pioneers. Looks good. Pushing live.
      created: '2018-02-26T21:43:00.096796Z'
      creator:
        email: rdalal@mozilla.com
        first_name: Rehan
        id: 14
        last_name: Dalal
      id: 681
      revision:
        id: 129
        recipe_id: 418
    arguments:
      addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/pioneer-study-pathfinder%40pioneer.mozilla.org-1.0.0-signed.xpi
      description: An study to help track down data loss in the Pioneer data-collection
        pipeline.
      extensionApiId: 32
      isEnrollmentPaused: false
      name: Pioneer Pathfinder
    capabilities:
    - action.opt-out-study
    comment: ''
    creator: null
    date_created: '2018-02-26T21:42:48.938334Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "( normandy.addons['pioneer-opt-in@mozilla.org'].isActive\n\
      \ && normandy.locale == 'en-US'\n && normandy.country == 'US'\n && normandy.channel\
      \ == 'beta' \n && [normandy.userId, normandy.recipe.id]|stableSample(0.4)\n)"
    filter_expression: "( normandy.addons['pioneer-opt-in@mozilla.org'].isActive\n\
      \ && normandy.locale == 'en-US'\n && normandy.country == 'US'\n && normandy.channel\
      \ == 'beta' \n && [normandy.userId, normandy.recipe.id]|stableSample(0.4)\n)"
    filter_object: []
    id: 129
    identicon_seed: v1:fwoiwukeas8
    metadata: {}
    name: 'Pioneer Study: Pathfinder'
    recipe:
      approved_revision_id: null
      id: 418
      latest_revision_id: 129
    updated: '2018-02-26T21:42:48.944713Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 415
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: sampling bump from 1% to 2% approved
      created: '2018-02-21T17:24:46.011491Z'
      creator:
        email: kardekani@mozilla.com
        first_name: Kamyar
        id: 11
        last_name: Ardekani
      id: 679
      revision:
        id: 136
        recipe_id: 415
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: ' https://wiki.mozilla.org/Firefox/Shield/Heartbeat'
      message: ' Help us make Firefox better by filling out this short survey'
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Web-Graphics-Usage-Survey?rev=1
      repeatOption: once
      surveyId: hb-web-graphics-usage-1
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-21T17:24:38.903312Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: '(

      normandy.channel == ''aurora'' &&

      [normandy.userId, normandy.recipe.id]|stableSample(0.02) &&

      normandy.locale in [''en-US'', ''en-AU'', ''en-CA'', ''en-GB'', ''en-NZ'', ''en-ZA'']

      )'
    filter_expression: '(

      normandy.channel == ''aurora'' &&

      [normandy.userId, normandy.recipe.id]|stableSample(0.02) &&

      normandy.locale in [''en-US'', ''en-AU'', ''en-CA'', ''en-GB'', ''en-NZ'', ''en-ZA'']

      )'
    filter_object: []
    id: 136
    identicon_seed: v1:crc88clxtz5
    metadata: {}
    name: 'Heartbeat: Web Graphics Usage Survey 1 (Dev Edition)'
    recipe:
      approved_revision_id: null
      id: 415
      latest_revision_id: 136
    updated: '2018-02-21T17:24:38.908015Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 416
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: ready to launch
      created: '2018-02-20T23:58:19.746145Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 678
      revision:
        id: 133
        recipe_id: 416
    arguments:
      branches:
      - ratio: 1
        slug: Control
        value: 1
      - ratio: 1
        slug: Variant
        value: 2
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1434388
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: network.http.throttle.version
      preferenceType: integer
      slug: pref-flip-http-response-throttling-algo-v2-beta-1434388
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-02-20T23:58:15.931576Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.version\
      \ >= '59.0' &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId,\
      \ normandy.recipe.id]|stableSample(0.33) &&\n  !([normandy.userId]|bucketSample(343,\
      \ 250, 1000))\n)"
    filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.version >=\
      \ '59.0' &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId,\
      \ normandy.recipe.id]|stableSample(0.33) &&\n  !([normandy.userId]|bucketSample(343,\
      \ 250, 1000))\n)"
    filter_object: []
    id: 133
    identicon_seed: v1:x9ojn9hdi2f
    metadata: {}
    name: 'Pref Flip Study: HTTP response throttling algorithm v2 in Beta (Bug 1434388)'
    recipe:
      approved_revision_id: null
      id: 416
      latest_revision_id: 133
    updated: '2018-02-20T23:58:16.103662Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 417
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: ready to launch
      created: '2018-02-20T23:25:58.773965Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 677
      revision:
        id: 130
        recipe_id: 417
    arguments:
      branches:
      - ratio: 1
        slug: Control
        value: false
      - ratio: 1
        slug: Variant
        value: true
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1434379
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: network.http.tailing.enabled
      preferenceType: boolean
      slug: pref-flip-tracker-request-beta-1434379
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-02-20T23:24:29.858029Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.version\
      \ >= '59.0' &&\n  normandy.request_time < '2018-02-28'|date &&\n [normandy.userId]|bucketSample(343,\
      \ 250, 1000)\n)"
    filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.version >=\
      \ '59.0' &&\n  normandy.request_time < '2018-02-28'|date &&\n [normandy.userId]|bucketSample(343,\
      \ 250, 1000)\n)"
    filter_object: []
    id: 130
    identicon_seed: v1:p2bt7ulmxrh
    metadata: {}
    name: 'Pref Flip Study: Tracker request tailing in Beta (Bug 1434379)'
    recipe:
      approved_revision_id: null
      id: 417
      latest_revision_id: 130
    updated: '2018-02-20T23:24:30.025759Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 414
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-02-20T17:49:32.900181Z'
      creator:
        email: mcooper@mozilla.com
        first_name: Michael
        id: 1
        last_name: Cooper
      id: 674
      revision:
        id: 138
        recipe_id: 414
    arguments:
      branches:
      - ratio: 1
        slug: group1
        value: 1
      - ratio: 2
        slug: group2
        value: 2
      experimentDocumentUrl: https://firefox-source-docs.mozilla.org/browser/extensions/shield-recipe-client/shield-recipe-client/data-collection.html#enrollment
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: testing.normandy-enrollment-events-test-1
      preferenceType: integer
      slug: normandy-enrollment-events-test-1
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-02-20T17:49:27.372904Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: 'normandy.channel == "nightly" &&

      normandy.version >= "60" &&

      [normandy.userId]|stableSample(0.1)'
    filter_expression: 'normandy.channel == "nightly" &&

      normandy.version >= "60" &&

      [normandy.userId]|stableSample(0.1)'
    filter_object: []
    id: 138
    identicon_seed: v1:6p7rx4vvyu6
    metadata: {}
    name: Enrollment events test
    recipe:
      approved_revision_id: null
      id: 414
      latest_revision_id: 138
    updated: '2018-02-20T17:49:27.551217Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 408
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: updated url var
      created: '2018-02-14T19:15:03.449637Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 670
      revision:
        id: 150
        recipe_id: 408
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please take a minute to tell us how you feel about Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/A11Y-UI?branch=disable
      repeatOption: once
      surveyId: hb-a11y-visual-indicator-1412603
      thanksMessage: Thanks!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-14T19:14:48.740860Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    normandy.channel == 'release' && \n    [normandy.userId]|stableSample(0.1)\
      \ && \n    normandy.version >= '58.0' &&\n    normandy.locale in ['en-US', 'en-AU',\
      \ 'en-CA', 'en-GB', 'en-NZ', 'en-ZA'] && \n    'accessibility.force_disabled'|preferenceValue\
      \ == 1 &&\n     normandy.telemetry.main.environment.experiments['pref-flip-a11y-visual-indicator-1412603']\n\
      )"
    filter_expression: "(\n    normandy.channel == 'release' && \n    [normandy.userId]|stableSample(0.1)\
      \ && \n    normandy.version >= '58.0' &&\n    normandy.locale in ['en-US', 'en-AU',\
      \ 'en-CA', 'en-GB', 'en-NZ', 'en-ZA'] && \n    'accessibility.force_disabled'|preferenceValue\
      \ == 1 &&\n     normandy.telemetry.main.environment.experiments['pref-flip-a11y-visual-indicator-1412603']\n\
      )"
    filter_object: []
    id: 150
    identicon_seed: v1:1oji23f3muq
    metadata: {}
    name: 'Heartbeat: DISABLE A11Y Visual Indicator and Permission Preference (1412603)
      [Don''t approve this]'
    recipe:
      approved_revision_id: null
      id: 408
      latest_revision_id: 150
    updated: '2018-02-14T19:14:48.745513Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 411
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: updated url var
      created: '2018-02-14T19:14:14.370489Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 669
      revision:
        id: 143
        recipe_id: 411
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please take a minute to tell us how you feel about Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/A11Y-UI?branch=eos
      repeatOption: once
      surveyId: hb-a11y-visual-indicator-eos-1412603
      thanksMessage: Thanks!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-14T19:14:10.722305Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    normandy.channel == 'release' && \n    [normandy.userId]|stableSample(0.1)\
      \ && \n    normandy.version >= '58.0' &&\n    normandy.locale in ['en-US', 'en-AU',\
      \ 'en-CA', 'en-GB', 'en-NZ', 'en-ZA'] && \n    'accessibility.force_disabled'|preferenceValue\
      \ == 0 &&\n     normandy.telemetry.main.environment.experiments['pref-flip-a11y-visual-indicator-1412603']\n\
      )"
    filter_expression: "(\n    normandy.channel == 'release' && \n    [normandy.userId]|stableSample(0.1)\
      \ && \n    normandy.version >= '58.0' &&\n    normandy.locale in ['en-US', 'en-AU',\
      \ 'en-CA', 'en-GB', 'en-NZ', 'en-ZA'] && \n    'accessibility.force_disabled'|preferenceValue\
      \ == 0 &&\n     normandy.telemetry.main.environment.experiments['pref-flip-a11y-visual-indicator-1412603']\n\
      )"
    filter_object: []
    id: 143
    identicon_seed: v1:am30p26idil
    metadata: {}
    name: 'Heartbeat: EOS A11Y Visual Indicator and Permission Preference (1412603)'
    recipe:
      approved_revision_id: null
      id: 411
      latest_revision_id: 143
    updated: '2018-02-14T19:14:10.727062Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 413
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2018-02-14T00:18:05.940364Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 668
      revision:
        id: 140
        recipe_id: 413
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please help us make Firefox better by filling out this single question
        survey
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Usage-yesterday
      repeatOption: once
      surveyId: hb-usage-yesterday
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-14T00:18:01.480349Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(338, 5, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_expression: "(\n    [normandy.userId]|bucketSample(338, 5, 1000)\n    &&\
      \ normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 140
    identicon_seed: v1:5a0unjq4o7e
    metadata: {}
    name: Usage Yesterday
    recipe:
      approved_revision_id: null
      id: 413
      latest_revision_id: 140
    updated: '2018-02-14T00:18:01.484590Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 412
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: ready to go - said they'll avoid obfuscating branch diffs in the future
      created: '2018-02-12T21:34:41.648722Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 666
      revision:
        id: 141
        recipe_id: 412
    arguments:
      branches:
      - ratio: 1
        slug: Control
        value: '{"api_key_pref":"extensions.pocket.oAuthConsumerKey","hidden":false,"provider_header":"pocket_feedback_header","provider_description":"pocket_description","provider_icon":"pocket","provider_name":"Pocket","read_more_endpoint":"https://getpocket.com/explore/trending?src=fx_new_tab","stories_endpoint":"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_control","stories_referrer":"http://getpocket.com/recommendations","info_link":"https://www.mozilla.org/privacy/firefox/#pocketstories","disclaimer_link":"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more","topics_endpoint":"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US","show_spocs":false,"personalized":true}'
      - ratio: 1
        slug: Variant1
        value: '{"api_key_pref":"extensions.pocket.oAuthConsumerKey","hidden":false,"provider_header":"pocket_feedback_header","provider_description":"pocket_description","provider_icon":"pocket","provider_name":"Pocket","read_more_endpoint":"https://getpocket.com/explore/trending?src=fx_new_tab","stories_endpoint":"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v1","stories_referrer":"http://getpocket.com/recommendations","info_link":"https://www.mozilla.org/privacy/firefox/#pocketstories","disclaimer_link":"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more","topics_endpoint":"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US","show_spocs":true,"personalized":true}'
      - ratio: 1
        slug: Variant2
        value: '{"api_key_pref":"extensions.pocket.oAuthConsumerKey","hidden":false,"provider_header":"pocket_feedback_header","provider_description":"pocket_description","provider_icon":"pocket","provider_name":"Pocket","read_more_endpoint":"https://getpocket.com/explore/trending?src=fx_new_tab","stories_endpoint":"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v2","stories_referrer":"http://getpocket.com/recommendations","info_link":"https://www.mozilla.org/privacy/firefox/#pocketstories","disclaimer_link":"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more","topics_endpoint":"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US","show_spocs":true,"personalized":true}'
      - ratio: 1
        slug: Variant3
        value: '{"api_key_pref":"extensions.pocket.oAuthConsumerKey","hidden":false,"provider_header":"pocket_feedback_header","provider_description":"pocket_description","provider_icon":"pocket","provider_name":"Pocket","read_more_endpoint":"https://getpocket.com/explore/trending?src=fx_new_tab","stories_endpoint":"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v3","stories_referrer":"http://getpocket.com/recommendations","info_link":"https://www.mozilla.org/privacy/firefox/#pocketstories","disclaimer_link":"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more","topics_endpoint":"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US","show_spocs":true,"personalized":true}'
      - ratio: 1
        slug: Variant4
        value: '{"api_key_pref":"extensions.pocket.oAuthConsumerKey","hidden":false,"provider_header":"pocket_feedback_header","provider_description":"pocket_description","provider_icon":"pocket","provider_name":"Pocket","read_more_endpoint":"https://getpocket.com/explore/trending?src=fx_new_tab","stories_endpoint":"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v4","stories_referrer":"http://getpocket.com/recommendations","info_link":"https://www.mozilla.org/privacy/firefox/#pocketstories","disclaimer_link":"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more","topics_endpoint":"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US","show_spocs":true,"personalized":true}'
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1435822
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: user
      preferenceName: browser.newtabpage.activity-stream.feeds.section.topstories.options
      preferenceType: string
      slug: pref-flip-activity-stream-59-release-pocket-sponsored-stories-bug-1435822
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-02-12T21:34:18.400401Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)\n)"
    filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)\n)"
    filter_object: []
    id: 141
    identicon_seed: v1:w22inpc3f6
    metadata: {}
    name: 'Pref Flip Study: Activity Stream 59 Release Pocket Sponsored Stories (Bug
      1435822)'
    recipe:
      approved_revision_id: null
      id: 412
      latest_revision_id: 141
    updated: '2018-02-12T21:34:18.563220Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 410
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-02-09T23:07:32.353324Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 662
      revision:
        id: 144
        recipe_id: 410
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Help us make Firefox better by filling out this short survey
      postAnswerUrl: https://qsurvey.mozilla.com/s3/SSI-Push-Pull-Survey-Q1-2018?source=hb
      repeatOption: once
      surveyId: hb-push-pull-q1-2018
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-09T22:47:12.809759Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(318, 10, 1000)\n\
      \    && normandy.locale == 'en-US'\n    && normandy.channel == 'release'\n \
      \  && normandy.version > '57.0'\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(318, 10, 1000)\n   \
      \ && normandy.locale == 'en-US'\n    && normandy.channel == 'release'\n   &&\
      \ normandy.version > '57.0'\n)"
    filter_object: []
    id: 144
    identicon_seed: v1:oyxs3if52r9
    metadata: {}
    name: Push Pull Q1 2018
    recipe:
      approved_revision_id: null
      id: 410
      latest_revision_id: 144
    updated: '2018-02-09T22:47:12.815186Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 409
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-02-08T19:09:49.377699Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 661
      revision:
        id: 146
        recipe_id: 409
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Help us make Firefox better by filling out this short survey
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Password-Manager-Survey-1
      repeatOption: once
      surveyId: hb-lockbox-survey1
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-08T19:09:37.338903Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(308, 10, 1000)\n\
      \    && normandy.locale == 'en-US'\n    && normandy.channel == 'release'\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(308, 10, 1000)\n   \
      \ && normandy.locale == 'en-US'\n    && normandy.channel == 'release'\n)"
    filter_object: []
    id: 146
    identicon_seed: v1:na09auv8gvl
    metadata: {}
    name: Lockbox Market Research Study
    recipe:
      approved_revision_id: null
      id: 409
      latest_revision_id: 146
    updated: '2018-02-08T19:09:37.342946Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 407
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: approved changes to allow surveying users that disable (see recipe
        408)
      created: '2018-01-30T04:37:31.539770Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 654
      revision:
        id: 155
        recipe_id: 407
    arguments:
      branches:
      - ratio: 1
        slug: Enabled
        value: true
      - ratio: 1
        slug: Disabled
        value: false
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1412603
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: accessibility.indicator.enabled
      preferenceType: boolean
      slug: pref-flip-a11y-visual-indicator-1412603
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-01-30T04:37:07.653050Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    normandy.channel == 'release' && \n    [normandy.userId]|stableSample(0.1)\
      \ && \n    normandy.version >= '58.0' &&\n    (\n        (normandy.telemetry.main.payload.histograms.A11Y_INSTANTIATED_FLAG.values[1]\
      \ == 1 && 'accessibility.force_disabled'|preferenceValue == 0)\n        || normandy.telemetry.main.environment.experiments['pref-flip-a11y-visual-indicator-1412603']\n\
      \    )\n)"
    filter_expression: "(\n    normandy.channel == 'release' && \n    [normandy.userId]|stableSample(0.1)\
      \ && \n    normandy.version >= '58.0' &&\n    (\n        (normandy.telemetry.main.payload.histograms.A11Y_INSTANTIATED_FLAG.values[1]\
      \ == 1 && 'accessibility.force_disabled'|preferenceValue == 0)\n        || normandy.telemetry.main.environment.experiments['pref-flip-a11y-visual-indicator-1412603']\n\
      \    )\n)"
    filter_object: []
    id: 155
    identicon_seed: v1:5t7bq408gfu
    metadata: {}
    name: 'Pref Flip Study: A11Y Visual Indicator and Permission Preference (1412603)'
    recipe:
      approved_revision_id: null
      id: 407
      latest_revision_id: 155
    updated: '2018-01-30T04:37:07.816216Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 406
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: ready to launch
      created: '2018-01-29T20:38:34.234276Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 649
      revision:
        id: 156
        recipe_id: 406
    arguments:
      branches:
      - ratio: 1
        slug: control
        value: '{"api_key_pref":"extensions.pocket.oAuthConsumerKey","hidden":false,"provider_header":"pocket_feedback_header","provider_description":"pocket_description","provider_icon":"pocket","provider_name":"Pocket","read_more_endpoint":"https://getpocket.com/explore/trending?src=fx_new_tab","stories_endpoint":"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=beta_spocs_control","stories_referrer":"http://getpocket.com/recommendations","info_link":"https://www.mozilla.org/privacy/firefox/#pocketstories","disclaimer_link":"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more","topics_endpoint":"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US","show_spocs":false,"personalized":true}'
      - ratio: 1
        slug: test
        value: '{"api_key_pref":"extensions.pocket.oAuthConsumerKey","hidden":false,"provider_header":"pocket_feedback_header","provider_description":"pocket_description","provider_icon":"pocket","provider_name":"Pocket","read_more_endpoint":"https://getpocket.com/explore/trending?src=fx_new_tab","stories_endpoint":"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=beta_spocs_test","stories_referrer":"http://getpocket.com/recommendations","info_link":"https://www.mozilla.org/privacy/firefox/#pocketstories","disclaimer_link":"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more","topics_endpoint":"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US","show_spocs":true,"personalized":true}'
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1432989
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: user
      preferenceName: browser.newtabpage.activity-stream.feeds.section.topstories.options
      preferenceType: string
      slug: pref-flip-activity-stream-59-beta-pocket-sponsored-stories-bug-1432989
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-01-29T20:38:28.861500Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '59.0'\
      \ &&\n  normandy.request_time < '2018-02-13'|date\n)"
    filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.country ==\
      \ 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '59.0' &&\n\
      \  normandy.request_time < '2018-02-13'|date\n)"
    filter_object: []
    id: 156
    identicon_seed: v1:3cu9b40wult
    metadata: {}
    name: 'Pref Flip Study: Activity Stream 59 Beta Pocket Sponsored Stories (Bug
      1432989)'
    recipe:
      approved_revision_id: null
      id: 406
      latest_revision_id: 156
    updated: '2018-01-29T20:38:29.014855Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 220
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: added version ceiling
      created: '2018-01-23T18:35:04.963575Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 648
      revision:
        id: 822
        recipe_id: 220
    arguments:
      branches:
      - ratio: 1
        slug: screenshots-enabled
        value: false
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1369150
      isHighVolume: true
      preferenceBranchType: default
      preferenceName: extensions.screenshots.system-disabled
      preferenceType: boolean
      slug: pref-flip-screenshots-release-1369150
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-01-23T18:34:58.349657Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "( normandy.channel == 'release' && \n[normandy.userId,\
      \ normandy.recipe.id]|stableSample(1.0) && \nnormandy.version >= '55.0' &&\n\
      normandy.version < '58.0' &&\n'extensions.screenshots.system-disabled'|preferenceValue\
      \ == false )"
    filter_expression: "( normandy.channel == 'release' && \n[normandy.userId, normandy.recipe.id]|stableSample(1.0)\
      \ && \nnormandy.version >= '55.0' &&\nnormandy.version < '58.0' &&\n'extensions.screenshots.system-disabled'|preferenceValue\
      \ == false )"
    filter_object: []
    id: 822
    identicon_seed: v1:220
    metadata: {}
    name: 'Preference Experiment: Screenshots in Release (Bug 1369150)'
    recipe:
      approved_revision_id: null
      id: 220
      latest_revision_id: 822
    updated: '2018-01-23T18:34:58.506767Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 405
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2018-01-11T21:39:16.721602Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 643
      revision:
        id: 157
        recipe_id: 405
    arguments:
      engagementButtonLabel: Nehmen Sie an der Umfrage teil
      includeTelemetryUUID: false
      learnMoreMessage: Erfahren Sie Mehr
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Bitte nehmen Sie sich einen Moment Zeit, um Ihre Gedanken zu Firefox
        mit uns zu teilen.
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Firefox-Focus-Interest?source=HB&sglocale=de
      repeatOption: once
      surveyId: hb-firefoxfocusinterestde
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-01-11T21:39:14.719585Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62, 10, 1000)\n\
      \    && normandy.locale == 'de'\n    && normandy.channel == 'release'\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62, 10, 1000)\n    &&\
      \ normandy.locale == 'de'\n    && normandy.channel == 'release'\n)"
    filter_object: []
    id: 157
    identicon_seed: v1:7rpu8tqs7ug
    metadata: {}
    name: 'Heartbeat: Firefox Focus Interest DE'
    recipe:
      approved_revision_id: null
      id: 405
      latest_revision_id: 157
    updated: '2018-01-11T21:39:14.725607Z'
  signature: null
  uses_only_baseline_capabilities: true
